Bug 239506 - iwlwifi BUGing
iwlwifi BUGing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-08 20:05 EDT by Eric Harney
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 17:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Harney 2007-05-08 20:05:13 EDT
New F7 test4 install, fully updated.
kernel-2.6.21-1.3116.fc7

Dell Inspiron E1505
0b:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
http://smolt.fedoraproject.org/show?UUID=492900d9-5ee0-441c-9792-fc2ecc86aa5d

iwlwifi is printing lots of error messages to syslog, as well as a BUG message.
 While this happens, the keyboard ceases to work properly... repeating
keystrokes, etc.  (Driver bug?)

May  8 19:57:15 localhost kernel: iwlwifi: TODO: Look into long/short preamble
change handling.
May  8 19:57:55 localhost kernel: iwlwifi: Error sending RXON: ipw_queue_tx_hcmd
failed: -28
May  8 19:57:55 localhost kernel: iwlwifi: Error clearing ASSOC_MSK on current
configuration (-28).
May  8 19:57:55 localhost kernel: iwlwifi: No space for Tx
May  8 19:57:55 localhost kernel: iwlwifi: Error sending RXON_ASSOC:
ipw_queue_tx_hcmd failed: -28
May  8 19:57:55 localhost kernel: iwlwifi: Error setting non-tune configuration
(-28).
May  8 19:57:55 localhost kernel: BUG: warning at
include/asm/dma-mapping.h:25/dma_map_single() (Not tainted)
May  8 19:57:55 localhost kernel:  [<c04061e9>] show_trace_log_lvl+0x1a/0x2f
May  8 19:57:55 localhost kernel:  [<c04067ad>] show_trace+0x12/0x14
May  8 19:57:55 localhost kernel:  [<c0406831>] dump_stack+0x16/0x18
May  8 19:57:55 localhost kernel:  [<f8aa1708>] d_tx+0x7f2/0xd69 [iwlwifi]
May  8 19:57:55 localhost kernel:  [<f8a3e759>] __ieee80211_tx+0x20/0xec [mac80211]
May  8 19:57:55 localhost kernel:  [<f8a4061b>]
ieee80211_master_start_xmit+0x410/0x50e [mac80211]
May  8 19:57:55 localhost kernel:  [<c05b41b2>] dev_hard_start_xmit+0x1ce/0x22b
May  8 19:57:55 localhost kernel:  [<c05c1cee>] __qdisc_run+0xdb/0x195
May  8 19:57:55 localhost kernel:  [<c05b4ee5>] net_tx_action+0xc2/0xeb
May  8 19:57:55 localhost kernel:  [<c042bfa7>] __do_softirq+0x6f/0xe2
May  8 19:57:55 localhost kernel:  [<c0407420>] do_softirq+0x61/0xd0
May  8 19:57:55 localhost kernel:  [<c042bdd2>] local_bh_enable_ip+0xb9/0xdf
May  8 19:57:55 localhost kernel:  [<c06160bd>] _spin_unlock_bh+0x25/0x28
May  8 19:57:55 localhost kernel:  [<f8a4cc9e>]
ieee80211_scan_completed+0xdf/0x109 [mac80211]
May  8 19:57:55 localhost kernel:  [<f8a4e0ef>]
ieee80211_sta_scan_work+0x63/0x199 [mac80211]
May  8 19:57:55 localhost kernel:  [<c043510f>] run_workqueue+0x89/0x14e
May  8 19:57:55 localhost kernel:  [<c0435b25>] worker_thread+0xf8/0x124
May  8 19:57:55 localhost kernel:  [<c043832b>] kthread+0xb3/0xdc
May  8 19:57:55 localhost kernel:  [<c0405cd3>] kernel_thread_helper+0x7/0x10
May  8 19:57:55 localhost kernel:  =======================
May  8 19:58:00 localhost kernel: iwlwifi: No space for Tx
May  8 19:58:00 localhost kernel: iwlwifi: Error sending RXON: ipw_queue_tx_hcmd
failed: -28
May  8 19:58:00 localhost kernel: iwlwifi: Error clearing ASSOC_MSK on current
configuration (-28).
May  8 19:58:00 localhost kernel: iwlwifi: No space for Tx


Can provide more info as needed.
Comment 1 John W. Linville 2007-05-09 08:29:33 EDT
Please try the kernels here:

   http://people.redhat.com/davej/kernels/Fedora/fc7

Can you recreate the issue using these kernels?
Comment 2 Eric Harney 2007-05-09 09:54:31 EDT
2.6.21-1.3144 appears to be working without problem.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.